#
# Conditional build:
%bcond_without	static_libs	# Static library
#
Summary:	RTP/RTCP protocol library
Summary(pl.UTF-8):	Biblioteka obsługująca protokół RTP/RTCP
Name:		ortp
Version:	4.4.0
Release:	1
License:	GPL v3+
Group:		Libraries
#Source0Download: https://gitlab.linphone.org/BC/public/ortp/tags
Source0:	https://gitlab.linphone.org/BC/public/ortp/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	33df5f50a6ce40cc114c1393a30959b7
Patch0:		%{name}-am.patch
URL:		http://www.linphone.org/technical-corner/ortp
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bctoolbox-devel
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
ortp is a library for handling RTP protocol (RFC 3550).

%description -l pl.UTF-8
ortp to biblioteka obsługująca protokół RTP (RFC 3550).

%package devel
Summary:	Header files to develop applications using ortp
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji używających ortp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	openssl-devel

%description devel
Header files for the ortp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki ortp.

%package static
Summary:	Static ortp library
Summary(pl.UTF-8):	Statyczna biblioteka ortp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ortp library.

%description static -l pl.UTF-8
Statyczna biblioteka ortp.

%package apidocs
Summary:	API documentation for ortp library
Summary(pl.UTF-8):	Dokumentacja API biblioteki ortp
Group:		Documentation
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description apidocs
API documentation for ortp library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki ortp.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-strict \
%if "%{_lib}" == "lib64"
	--enable-mode64bit=yes \
%else
	--enable-mode64bit=no \
%endif
	--enable-ssl-hmac \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libortp.la

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/ortp-1.0.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG.md README.md
%attr(755,root,root) %{_libdir}/libortp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libortp.so.13

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libortp.so
%{_includedir}/ortp
%{_pkgconfigdir}/ortp.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libortp.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%changelog
* Thu Oct 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ortp.git;a=log;h=master

* Sat Sep 26 2020 Jakub Bogusz <qboosh@pld-linux.org> aaba3fd
- updated to 4.4.0; license is GPL v3+ now
- added am patch (update autotools support)

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> ab8e9f7
- added aclocal include

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> ea9d279
- split -apidocs

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1daf68c
- up to 1.0.2

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> fc76da3
- updated to 0.25.0 (note: new soname)

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 06501f4
- srtp no longer used

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> d51426f
- updated to 0.24.2
- removed outdated i486 patch

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 6d0b346
- x32 rebuild
- release 2 (by relup.sh)

* Sun Mar 02 2014 Jakub Bogusz <qboosh@pld-linux.org> bdd1776
- updated to 0.23.0; now uses libzrtpcppcore >= 4
- updated i486 patch

* Thu Jan 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 660daf6
- release 2

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> cf9fbc4
- package API docs once (in -devel)
- BR: pkgconfig

* Mon Jun 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 332051e
- Version: 0.22.0 (new soname)

* Thu Jun 07 2012 blekot <blekot@pld-linux.org> 92f5183
- rel 2 for rebuild

* Tue Jan 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 36d0e36
- updated to 0.18.0
- removed obsolete Werror patch
- build with srtp and zrtp support by default

* Tue Jul 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 80b1afa
- up to 0.16.5; disable Werror

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> bdf4dd0
- unified %clean section

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 891725e
- release 3

* Mon Feb 22 2010 sparky <sparky@pld-linux.org> 7ab64e4
- added libssl-not-required patch
- BR/R: openssl-devel
- release 2; STBR

* Mon Feb 22 2010 sparky <sparky@pld-linux.org> 1cdab9d
- don't link with -lssl because it isn't used but creates unnecessary
  dependency in .la file

* Sun Jan 10 2010 sparky <sparky@pld-linux.org> bcad2e4
- BR: doxygen

